[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RolByte

Rotate bits of a byte value to the left

## Declaration

Source position: line 0

`function RolByte(`
`const AValue: Byte`
`):Byte; function RolByte(`
`const AValue: Byte;`
`const Dist: Byte`
`):Byte;`

## Description

RolByte rotates the bits of the byte AValue with Dist positions to the left. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RorByte |  | Rotate bits of a byte value to the right
RolWord |  | Rotate bits of a word value to the left
RolDWord |  | Rotate bits of a DWord (cardinal) value to the left
RolQWord |  | Rotate bits of a QWord (64-bit) value to the left

Documentation generated on: Feb 26 2014